summaryrefslogtreecommitdiff
path: root/tests/shred/exact
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shred/exact')
-rwxr-xr-xtests/shred/exact55
1 files changed, 55 insertions, 0 deletions
diff --git a/tests/shred/exact b/tests/shred/exact
new file mode 100755
index 0000000..3f04d73
--- /dev/null
+++ b/tests/shred/exact
@@ -0,0 +1,55 @@
+#!/bin/sh
+# make sure that neither --exact nor --zero gobbles a command line argument
+
+# Copyright (C) 2000, 2003, 2004, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ shred --version
+fi
+
+pwd=`pwd`
+tmp=exact.$$
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ (exit 1); exit 1
+fi
+
+fail=0
+
+for opt in --exact --zero; do
+ echo a > a || fail=1
+ echo bb > b || fail=1
+ echo ccc > c || fail=1
+
+ shred --remove $opt a b || fail=1
+ test -f a && fail=1
+ test -f b && fail=1
+
+ shred --remove $opt c || fail=1
+ test -f c && fail=1
+done
+
+(exit $fail); exit $fail